Bug 426481 - Review Request: perl-Getopt-GUI-Long - A wrapper around Getopt::Long to provide a GUI to applications
Review Request: perl-Getopt-GUI-Long - A wrapper around Getopt::Long to provi...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-21 09:56 EST by Wes Hardaker
Modified: 2011-01-14 12:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-29 00:07:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Wes Hardaker 2007-12-21 09:56:35 EST
Spec URL: http://www.hardakers.net/perl-Getopt-GUI-Long.spec
SRPM URL: http://www.hardakers.net/perl-Getopt-GUI-Long-0.8-1.fc8.src.rpm
This module is a wrapper around Getopt::Long that extends the value of
the original Getopt::Long module to:

1) add a simple graphical user interface option screen if no
   arguments are passed to the program.  Thus, the arguments to
   actually use are built based on the results of the user
   interface. If arguments were passed to the program, the user
   interface is not shown and the program executes as it normally
   would and acts just as if Getopt::Long::GetOptions had been
   called instead.

2) provide an auto-help mechanism such that -h and --help are
   handled automatically.  In fact, calling your program with -h
   will default to showing the user a list of short-style arguments
   when one exists for the option.  Similarly --help will show the
   user a list of long-style when possible.  --help-full will list
   all potential arguments for an option (short and long both).

It's designed to make the creation of graphical shells trivial
without the programmer having to think about it much as well as
providing automatic good-looking usage output without the
programmer needing to write usage() functions.
Comment 1 Parag AN(पराग) 2007-12-21 23:44:20 EST
links not working
Comment 2 Wes Hardaker 2007-12-21 23:56:38 EST
Spec URL: http://www.hardakers.net/FE/perl-Getopt-GUI-Long.spec
SRPM URL: http://www.hardakers.net/FE/perl-Getopt-GUI-Long-0.8-1.fc8.src.rpm

whoops.  forgot a path part.
Comment 3 Parag AN(पराग) 2007-12-26 00:12:10 EST
+ package builds in mock (rawhide).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
6af40f2c03fa898b4c22a96eabfb7a85  Getopt-GUI-Long-0.8.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test output is NIL as its not present.
+ Package perl-Getopt-GUI-Long-0.8-1.fc9 ->
  Provides: perl(Getopt::GUI::Long)
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(Exporter) perl(File::Temp)
perl(Getopt::Long) perl(Gtk2) perl(QWizard) perl(Text::Wrap) perl(strict)

Comment 4 Wes Hardaker 2007-12-26 12:32:49 EST
New Package CVS Request
Package Name: perl-Getopt-GUI-Long
Short Description: A wrapper around Getopt::Long to provide a GUI to applications
Owners: hardaker
Branches: F-7 F-8 devel
Cvsextras Commits:
Comment 5 Kevin Fenzi 2007-12-26 13:44:24 EST
cvs done.
Comment 6 Parag AN(पराग) 2007-12-29 00:07:53 EST
CLOSING this as I can see build successful for requested branches on koji.
Comment 7 Wes Hardaker 2011-01-14 09:38:04 EST
Package Change Request
Package Name: perl-Getopt-GUI-Long
New Branches: el5 el6
Owners: hardaker
Comment 8 Jason Tibbitts 2011-01-14 12:16:45 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.